using GrapeCity.Documents.Pdf;

namespace PdfToPagesDemo
{
    public partial class Form1 : Form
    {
        GcPdfDocument doc;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            doc = new GcPdfDocument();
            //Create an object of filestream
            var fs = new FileStream("dynamic-table.pdf", FileMode.Open,
                         FileAccess.Read);
            //Load the document
            doc.Load(fs);
            label3.Text = label3.Text+" " +  doc.Pages.Count;
            numericUpDown1.Minimum = 1;
            numericUpDown1.Maximum = doc.Pages.Count;
            numericUpDown2.Minimum = 1;
            numericUpDown2.Maximum = doc.Pages.Count;
        }
        private void button1_Click(object sender, EventArgs e)
        {
            if(numericUpDown1.Value <= numericUpDown2.Value)
            {
                var fs = new FileStream("dynamic-table.pdf", FileMode.Open,
                        FileAccess.Read);
                //Load the document
                doc.Load(fs);
                for (int i = doc.Pages.Count- 1; i >= 0; i--)
                {
                    if(i > (int)numericUpDown2.Value-1 || i< (int)numericUpDown1.Value-1)
                    doc.Pages.RemoveAt(i);
                }
                doc.Save("Demo.Pdf");           
            }
            else
            {
                MessageBox.Show("From Value can not be greater than To Value");
            }
        }


    }
}